const getProgramAddressWithFallback = (context, name, address) => {
  const publicKey = context.eddsa.createPublicKey(address);
  if (!context.programs) return publicKey;
  try {
    return context.programs?.get(name).address;
  } catch (error) {
    return publicKey;
  }
};

export { getProgramAddressWithFallback };
//# sourceMappingURL=ProgramRepositoryInterface.mjs.map
